Subject: Re: SableVM & Cygwin (was: Re: sablevm + windows)
From: Peter Lovell <[email-masked]>
To: SableVM Developers Mailing List <[email-masked]>, "Gerrit P. Haase" <[email-masked]>
Cc: "Grzegorz B. Prokopski" <[email-masked]>, [email-masked], Peter Lovell <[email-masked]>
Date: Wed, 13 Oct 2004 15:25:47 -0400

Hi Gerrit,
many thanks for this. Great !

Speaking only for myself, I believe that option (2) would be the 
appropriate one. It might be nice to include it also back to gcc but I 
suspect that sablevm developers might prefer to not have that 
dependency.

I'll fetch your patches and test and let you know.

Many thanks.....Peter

On Oct 13, 2004, at 11:57 AM, Gerrit P. Haase wrote:

> Hi Peter,
>
> coming back to this now.
>
>> I'm also willing to help port and maintain.
>
> Fine.  I have to offer two possible scenarios.
>
> 1.
> I have a stripped down standalone libffi package with a shared libffi
> now.  This version is based on the sources from the cygwin release of
> gcc-3.3.3. You can take this package and maintain it, that means update
> it when Cygwin GCC is updated and integrate the changes happened in the
> libffi subdirectory.
>
> 2.
> Include this stripped down libffi version with the SableVM sourcetree
> and link libffi into the main DLL as a convenience library.
>
> IMO it would be easier to keep it uptodate when it is included with the
> SableVM sources and also distributed this way.  So one can continue 
> when
> you or me are gone.
>
> I have a patch I can send you, there is the stripped down libffi
> integrated in the SablVM build.  The standalone libffi is available as
> separate package from my webserver:
> http://anfaenger.de/cygwin/cygwin-1.5/libffi-cygwin-standalone/
>
> Ready compiled SableVM binary and source package:
> http://anfaenger.de/cygwin/cygwin-1.5/saqblevm/
>
> The source package includes also the patch and uses a statically 
> libffi,
> so it doesn't need a FFI DLL.  Could you verify that this SableVM works
> as expected, please?
>
> Classpath is still compiling.
>
>
> Gerrit
> -- 
> =^..^=                                     
> http://nyckelpiga.de/donate.html
>
>
> _______________________________________________
> SableVM-devel mailing list
> [email-masked]
> http://sablevm.org/lists/control/listinfo/sablevm-devel
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/